Skip to main content
POST
/
v2
/
external_transfers
Create an external transfer for a trusted beneficiary
curl --request POST \
  --url https://thirdparty.qonto.com/v2/external_transfers \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Qonto-Idempotency-Key: <x-qonto-idempotency-key>' \
  --data '
{
  "vop_proof_token": "proof_1234567890abcdef",
  "external_transfer": {
    "beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "debit_iban": "<string>",
    "reference": "<string>",
    "currency": "<string>",
    "amount": "<string>",
    "note": "<string>",
    "scheduled_date": "2021-07-12",
    "attachment_ids": [
      "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    ]
  }
}
'
{ "external_transfer": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "slug": "<string>", "debit_iban": "<string>", "debit_amount": "12.55", "debit_amount_cents": "1255", "debit_currency": "EUR", "beneficiary_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "initiator_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "credit_amount": "<string>", "credit_amount_cents": "<string>", "credit_currency": "<string>", "reference": "<string>", "status": "pending", "scheduled_date": "2021-07-12", "created_at": "2021-01-27T22:05:07.000Z", "rate_applied": "<string>", "payment_purpose": "goods", "note": "<string>", "declined_reason": "beneficiary_bic_invalid", "completed_at": "2021-01-27T22:05:07.000Z", "processed_at": "2021-01-27T22:05:07.000Z", "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a" } }

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Idempotency-Key
string
required

Learn more in Idempotent Requests.

Example:

"123e4567-e89b-12d3-a456-426614174000"

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

application/json
vop_proof_token
string
required

Proof token from a payee verification attempt or skip verification request. Use the token from verify payee.

Example:

"proof_1234567890abcdef"

external_transfer
object
required

Response

Returns the external transfer created.

external_transfer
object
required